package template;

import java.util.Arrays;

import problem.Parser;
import problem.fdr.FDRProblem;
import problem.strips.StripsProblem;


public class TemplatePlanner {
	
	private final String fdrProblem;
	private final String stripsProblem;
	private Parser problemParser = new Parser();
	
	protected FDRProblem fdr = null;
	protected StripsProblem strips = null;

	public TemplatePlanner(String stripsFile, String fdrFile) {
		fdrProblem = fdrFile;
		stripsProblem = stripsFile;
	}

	public static void main(String[] args) {
		System.out.println(Arrays.toString(args));
		if(args.length != 2) {
			System.out.println("Usage: Planner.jar problem.strips problem.fdr");
			return;
		}
		
		TemplatePlanner planner = new TemplatePlanner(args[0],args[1]);
		planner.plan();
	}
	
	public void loadFDR() {
		fdr = problemParser.parseFDRProblem(fdrProblem);
	}
	
	public void loadStrips() {
		strips = problemParser.parseStripsProblem(stripsProblem);
	}
	
	public void plan() {
		loadFDR();
		System.out.println(fdr);
		loadStrips();
		System.out.println(strips);
	}
	
	

}
